/* FOOTER */
.site-footer {
    font-family: 'Ubuntu-L';
    margin-top: var(--mar-xl);
    width: 100%;
    background-color: var(--color-main);
    color: white;

    display: flex;
    justify-content: center;
    align-items: center;
}

.footer-container {
    width: var(--content-width);
    padding: 50px 0;
    
    display: flex;
    flex-direction: row-reverse;
    justify-content: center;
    align-items: center;
    gap: 50px;
}

/* FOOTER SECTIONS */

/* FOOTER COPYRIGHT */

.footer-copyright-notice-container {
    height: min-content;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 4px;
}

.footer-logo > a > img {
    height: 40px;
}

.footer-no-logo {
    margin: 0;
    padding: 0;
    color: var(--color-menu-item);
}

.footer-copyright-notice-container > div > p {
    padding: 0;
    margin: 0;
    font-size: 70%;
    text-align: center;
    color: var(--color-menu-item);
}

/* FOOTER SOCIAL MEDIA NAVIGATION */

.footer-social-media-navigation > div > ul {
    list-style: none;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
}

.footer-social-media-navigation > div > ul > li {
    list-style: none;
    height: 50px;
    width: 30px;
    background-color: transparent;
    display: flex;
    justify-content: center;
    align-items: center;
}

.footer-social-media-navigation > div > ul > li > a {
    font-size: 150%;
    background-color: transparent;
    color: var(--color-menu-item);
    height: min-content;
    width: min-content;
    animation: iconJumpOn 150ms linear forwards;
}

.footer-social-media-navigation > div > ul > li > a:hover {
    color: var(--color-menu-item-hover);
    animation: iconJumpOff 150ms linear forwards;
}

@keyframes iconJumpOff {
    0%   {transform: translateY( 0px);}
    100% {transform: translateY(-5px);}
}

@keyframes iconJumpOn {
    0%   {transform: translateY(-5px);}
    100% {transform: translateY( 0px);}
}

/* FOOTER NAVIGATION */

.footer-navigation-container {
    height: min-content;
    padding: 0 50px;
    border-top: none;
    border-bottom: none;
    border-left: 1px solid var(--color-menu-item-bg-1);
    border-right: 1px solid var(--color-menu-item-bg-1);
}

.footer-navigation > div > ul {
    list-style: none;
    height: min-content;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
}

.footer-navigation > div > ul > li {
    list-style: none;
    height: 25px;
    background-color: transparent;

    display: flex;
    justify-content: center;
    align-items: center;
}

.footer-navigation > div > ul > li > a {
    background-color: transparent;
    color: var(--color-menu-item);
    text-align: left;
    font-size: 80%;

    display: flex;
    justify-content: left;
    align-items: center;
}

.footer-navigation > div > ul > li > a:hover {
    background-color: transparent;
    color: var(--color-menu-item-hover);
}

@media (max-width: 780px) {
    .footer-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 0;
    }

    .footer-navigation-container {
        min-width: 300px;
        padding: 50px 0;
        margin: 32px 0;
        border-top: 1px solid var(--color-menu-item-bg-1);
        border-bottom: 1px solid var(--color-menu-item-bg-1);
        border-left: none;
        border-right: none;
        

        display: flex;
        justify-content: center;
        align-items: center;;
    }
}